/*--------------------------------------------------------------------------------------------------------

# Nyhetslista med allt / .sap-newslist / .sv-sap-newslist-everything

--------------------------------------------------------------------------------------------------------*/

.sap-newslist__article-meta .sap-newslist__article-type,
.sap-newslist__article-meta > span{
   font-size: 14px !important;
   font-weight: 600 !important;
}

/* Filters */
@media(min-width: 678px) {
   .sap-newslist__filters {
      min-height: 60vh;
   }
}




/* Tag colors */
.sap-newslist__article-tag.article-tag-riksdag {
   background-color: var(--env-element-secondary-background-color);
   color: var(--env-element-secondary-font-color);
}

.sap-newslist__article-tag.article-tag-partidistrikt {
   background-color: var(--env-ui-color-brand-20);
   color: var(--env-ui-color-brand-20-contrast);
}

.sap-newslist__article-tag.article-tag-region {
   background-color: var(--env-ui-color-brand-30);
   color: var(--env-ui-color-brand-30-contrast);
}

/* External articles */

.sap-newslist__article.external {
   border-top: 4px solid var(--env-ui-color-brand);
}
.sap-newslist__article.external .sap-newslist__article-type {
   display: none;
}
@media (max-width: 1023px) {
   .sap-newslist__article.external:before {
      content: "Från Socialdemokraterna.se";
      width: 100%;
      display: block;
      padding: var(--env-spacing-medium) var(--env-spacing-large);
      background-color: var(--env-section-background-color);
      box-sizing: border-box;

      font-family: var(--env-ui-text-overline-font-family);
      color: var(--env-ui-text-overline-font-color);
      font-weight: var(--env-ui-text-overline-font-weight);
      font-size: var(--env-ui-text-overline-font-size);
      text-transform: var(--env-ui-text-overline-text-transform);
      letter-spacing: var(--env-ui-text-overline-letter-spacing);
   }
}

@media (min-width: 1024px) {
   .sap-newslist__article.external > div:before {
      content: "Från Socialdemokraterna.se";
      width: 100%;
      display: block;
      padding-bottom: var(--env-spacing-medium);
      background-color: var(--env-section-background-color);
      box-sizing: border-box;

      font-family: var(--env-ui-text-overline-font-family);
      color: var(--env-ui-text-overline-font-color);
      font-weight: var(--env-ui-text-overline-font-weight);
      font-size: var(--env-ui-text-overline-font-size);
      text-transform: var(--env-ui-text-overline-text-transform);
      letter-spacing: var(--env-ui-text-overline-letter-spacing);
   }
}